CADsite

  • wo 12 05 2021, 22:57:50
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Pagina's: [1]   Omlaag

Auteur Topic: Bestaat er een sneltoets om objecten te roteren per 90° ? (Opgelost)  (gelezen 652 keer)

Rutten

  • forum starter
  • *
  • Offline Offline
  • Berichten: 4
    • Bekijk profiel

Hi,

graag had ik vernomen of er in autocad 2019, een sneltoets combinatie bestaat om objecten snel 90° te roteren.

In bepaalde programma's bestaat de mogelijkheid om objecten met een toetsen combinatie 90° per toets aanslag te laten roteren.
BV.: in fix-o-cad kan je een object met "ctrl + R " per toets aanslag 90° draaien, dit is gemakkelijk en snel .

Bestaat zoiets in autocad?

Mvg, Rutten
« Laatst bewerkt op: di 06 04 2021, 07:02:29 door Rutten »
Gelogd

julien

  • Administrator
  • forumverslaafde
  • ******
  • Offline Offline
  • Berichten: 2976
    • Bekijk profiel
Re: Bestaat er binnen Autocad een sneltoets om objecten te roteren per 90° ?
« Reactie #1 Gepost op: ma 05 04 2021, 19:05:05 »

Als je dat zelf inbakt in je blocks kan dat, anders is dat geen standaard functie.

Ik denk niet dat het heel moeilijk is om iets soortgelijks in lisp te schrijven, maar daar ben ik niet genoeg mee bekend om het zelf te doen.
Gelogd

bart

  • Forum medewerker
  • forumverslaafde
  • *****
  • Offline Offline
  • Berichten: 2098
    • Bekijk profiel
Re: Bestaat er binnen Autocad een sneltoets om objecten te roteren per 90° ?
« Reactie #2 Gepost op: ma 05 04 2021, 19:40:48 »

een rotatie functie in lisp. is vrij simpel.
mits je goed in beeld hebt wat je presies wilt.


gewoon rotate onder een sneltoets zetten kan ook als ortho aan staat is 90 graden draaien ook maar twee klikken
Gelogd
Domme vragen bestaan niet.
Domme antwoorden wel.

m.vr. groet Bart

gery

  • forumverslaafde
  • ******
  • Offline Offline
  • Berichten: 515
    • Bekijk profiel
Re: Bestaat er binnen Autocad een sneltoets om objecten te roteren per 90° ?
« Reactie #3 Gepost op: ma 05 04 2021, 21:00:22 »

Rond welk punt dient dan steeds geroteerd te worden?
Gelogd
AutoCAD 2020 - Windows 10

Rutten

  • forum starter
  • *
  • Offline Offline
  • Berichten: 4
    • Bekijk profiel
Re: Bestaat er binnen Autocad een sneltoets om objecten te roteren per 90° ?
« Reactie #4 Gepost op: di 06 04 2021, 06:56:32 »

Bedankt alvast voor de reacties,

Bedankt allemaal voor de snelle reactie, inderdaad als "ortho" aan staat is dit voor mij heel wat makkelijker werken.

Bedankt
Gelogd

Reimer

  • forumverslaafde
  • ******
  • Offline Offline
  • Berichten: 1318
    • Bekijk profiel
Re: Bestaat er een sneltoets om objecten te roteren per 90° ? (Opgelost)
« Reactie #5 Gepost op: di 06 04 2021, 13:41:10 »

Ik heb dit al eens in een lisp-routine gestopt.
De functies R45, R90, R180 en R270 voeren de subfunctie DRRAAI uit met een opgegeven hoek.
Wanneer één block of (m)text wordt geselecteerd dan wordt automatisch om het insertionpoint gedraaid. Bij selectie van een Hatch wordt het patroon gedraaid. In andere gevallen wordt gevraagd om een rotatiepunt op te geven.

Groeten,
Reimer.

;; gemaakt door Reimer
(defun drraai (DHOEK / OBJECT EIGOBJ SOORT HOEK NHOEK pt0)
  (prompt (strcat "\nRotate " DHOEK "    Selecteer object(en):   "))
  (setq OBJECT (ssget))
  (if (= (sslength OBJECT) 1)
    (progn
      (setq EIGOBJ (entget (ssname OBJECT 0)))
      (setq SOORT (assoc 0 EIGOBJ))
      (cond
        ( (OR (= (cdr SOORT) "INSERT")(= (cdr SOORT) "TEXT")(= (cdr SOORT) "MTEXT"))
          (command "rotate" object "" (trans (cdr (assoc 10 EIGOBJ)) 0 1) DHOEK)
        );_cond1
        ( (= (cdr SOORT) "HATCH")
          (progn
            (setq HOEK (cdr (assoc 52 EIGOBJ))
                  NWHOEK (+ (* (/ HOEK PI) 180) (atof DHOEK)))
            (command "-hatchedit" OBJECT "properties" "" "" NWHOEK)
          );_progn
        );_cond2
        (T
          (progn
            (setq pt0 (getpoint "\n    geef basispunt      : "))
            (command "rotate" OBJECT "" pt0 DHOEK)
          );_progn
        );_cond3
      );_cond
    );_progn
    (progn
      (setq pt0 (getpoint "\n    geef basispunt      : "))
      (command "rotate" OBJECT "" pt0 DHOEK)
    );_progn
  );_if
  (princ)
)
(defun c:r45 (/) (drraai "45"))
(defun c:r90 (/) (drraai "90"))
(defun c:r180 (/) (drraai "180"))
(defun c:r270 (/) (drraai "270"))
Gelogd
Pagina's: [1]   Omhoog